#
# spec file for package libwmf (Version 0.2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake freetype2 freetype2-devel gettext libjpeg libpng libtiff libxml2 libxml2-devel libz xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtiff libtool libxml2 libxml2-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         libwmf
Provides:     wv:/usr/bin/wmftopng
Provides:     mswordvw:/usr/bin/wmftopng
Copyright:    LGPL
Group:        Utilities/Text 
Autoreqprov:  on
Version:      0.2.0
Release:      74
Summary:      library and utilities for displaying and converting metafile images
URL:          http://www.wvWare.com/wvWare.html
Source:       libwmf-%{version}.tar.bz2
Patch:        libwmf-%{version}-ia64.patch
BuildRoot:    /var/tmp/%{name}-build

%description
This is a library for interpreting metafile images and either displaying them
using X or converting them to standard formats such as PNG, JPEG, PS, EPS,...

Authors:
--------
    Caolan McNamara <Caolan.McNamara@ul.ie>

SuSE series: d

%package devel
Requires: libwmf
Provides:     wv-devel:/usr/lib/libwmf.a
Provides:     mswordvd:/usr/lib/libwmf.a
Summary:      Static libraries, header files and documentation for libwmf
Group: Development/Libraries
Autoreqprov:  on

%description devel
The libwmf-devel package contains the header files and static
libraries necessary for developing programs using libwmf.

Authors:
--------
    Caolan McNamara <Caolan.McNamara@ul.ie>

SuSE series: d

%prep
%setup 
%patch

%build
%{?suse_update_config:%{suse_update_config -f }}
#libtoolize --force
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr $RPM_ARCH-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include/libwmf
make DESTDIR=$RPM_BUILD_ROOT \
     wmfdocdir=%{_defaultdocdir}/libwmf \
     wmfonedocdir=%{_defaultdocdir}/libwmf/caolan \
     install
cp AUTHORS COPYING CREDITS ChangeLog README TODO $RPM_BUILD_ROOT/%{_defaultdocdir}/libwmf

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/libwmf-fontmap
/usr/bin/wmf2eps
/usr/bin/wmf2fig
/usr/bin/wmf2gd
/usr/bin/wmf2magick
/usr/bin/wmf2plot
/usr/bin/wmf2svg
/usr/bin/wmf2x
#
/usr/lib/libwmf*.so.*
/usr/lib/libwmf*.la
#
/usr/share/libwmf
#
%docdir %{_defaultdocdir}/libwmf
%doc %{_defaultdocdir}/libwmf/AUTHORS
%doc %{_defaultdocdir}/libwmf/COPYING
%doc %{_defaultdocdir}/libwmf/CREDITS
%doc %{_defaultdocdir}/libwmf/ChangeLog
%doc %{_defaultdocdir}/libwmf/README
%doc %{_defaultdocdir}/libwmf/TODO

%files devel
/usr/bin/libwmf-config
/usr/include/libwmf
/usr/lib/libwmf*.so
/usr/lib/libwmf*.a
#
%docdir %{_defaultdocdir}/libwmf
%doc %{_defaultdocdir}/libwmf/*.html
%doc %{_defaultdocdir}/libwmf/*.png
%doc %{_defaultdocdir}/libwmf/*.gif
%doc %{_defaultdocdir}/libwmf/caolan

%changelog -n libwmf
* Thu Jun 28 2001 - nadvornik@suse.cz
- splited from wv
- update to 0.2.0
